## ros-melodic-industrial-deprecated 0.7.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(industrial_deprecated)

find_package(catkin REQUIRED COMPONENTS)

catkin_package(
  CATKIN_DEPENDS
)

=== debian/changelog ===
ros-melodic-industrial-deprecated (0.7.1-1stretch) stretch; urgency=high

  * Updated all package xml files to version 2 (#232 <https://github.com/ros-industrial/industrial_core/issues/232>)
  * all: update maintainer email addresses (#222 <https://github.com/ros-industrial/industrial_core/issues/222>)
  * Contributors: Jeremy Zoss, Jorge Nicho, gavanderhoorn

 -- Shaun Edwards <shaun.edwards@gmail.com>  Wed, 18 Sep 2019 22:00:00 -0000

ros-melodic-industrial-deprecated (0.7.0-1stretch) stretch; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Mon, 11 Feb 2019 23:00:00 -0000

ros-melodic-industrial-deprecated (0.6.0-1stretch) stretch; urgency=high

  * Added C++ 11 compile option
  * Contributors: Victor Lamoine

 -- Shaun Edwards <sedwards@swri.org>  Sun, 15 Jan 2017 23:00:00 -0000

ros-melodic-industrial-deprecated (0.5.1-1stretch) stretch; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Sat, 14 Jan 2017 23:00:00 -0000

ros-melodic-industrial-deprecated (0.5.0-1stretch) stretch; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Sun, 21 Feb 2016 23:00:00 -0000

ros-melodic-industrial-deprecated (0.4.3-1stretch) stretch; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Sat, 06 Feb 2016 23:00:00 -0000

ros-melodic-industrial-deprecated (0.4.2-1stretch) stretch; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Tue, 20 Oct 2015 22:00:00 -0000

ros-melodic-industrial-deprecated (0.4.1-1stretch) stretch; urgency=high

  * Fixed changelog links to point to main repo
  * Contributors: Shaun Edwards

 -- Shaun Edwards <sedwards@swri.org>  Sun, 22 Mar 2015 23:00:00 -0000

ros-melodic-industrial-deprecated (0.4.0-1stretch) stretch; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Fri, 20 Mar 2015 23:00:00 -0000

ros-melodic-industrial-deprecated (0.3.4-1stretch) stretch; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Mon, 20 Jan 2014 23:00:00 -0000

ros-melodic-industrial-deprecated (0.3.3-1stretch) stretch; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Sun, 12 Jan 2014 23:00:00 -0000

ros-melodic-industrial-deprecated (0.3.2-1stretch) stretch; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Thu, 09 Jan 2014 23:00:00 -0000

ros-melodic-industrial-deprecated (0.3.1-1stretch) stretch; urgency=high

  * Purged deprecated packages
  * Remove obsolete export tags. Fix #43 <https://github.com/ros-industrial/industrial_core/issues/43>.
  * Corrected spelling of industrial_deprecated package (oops).  Updated package dependencies.
  * Converted to catkin
  * Contributors: Shaun Edwards, gavanderhoorn, jrgnicho

 -- Shaun Edwards <sedwards@swri.org>  Wed, 08 Jan 2014 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-industrial-deprecated
Section: misc
Priority: extra
Maintainer: Shaun Edwards <shaun.edwards@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/industrial_deprecated
Standards-Version: 3.9.2

Package: ros-melodic-industrial-deprecated
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: The Industrial deprecated package contains nodes, launch files, etc...
 that are slated for deprecation. This package is the last place something will end up before being deleted. If you are missing a package/node and find it's contents here, then you should consider a replacement.

## ros-melodic-industrial-deprecated 0.7.3

=== debian/changelog ===
ros-melodic-industrial-deprecated (0.7.3-1bionic) bionic; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 14 Jul 2021 22:00:00 -0000

ros-melodic-industrial-deprecated (0.7.2-1bionic) bionic; urgency=high

  * target Melodic and newer.
  * add Noetic compatibility (#258 <https://github.com/ros-industrial/industrial_core/issues/258>)
  * update maintainers (#243 <https://github.com/ros-industrial/industrial_core/issues/243>)
  * for a complete list of changes see the commit log for 0.7.2 <https://github.com/ros-industrial/industrial_core/compare/0.7.1...0.7.2>.
  * contributors: Felix Messmer, Simon Schmeisser, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 27 Jun 2021 22:00:00 -0000

ros-melodic-industrial-deprecated (0.7.1-1bionic) bionic; urgency=high

  * Updated all package xml files to version 2 (#232 <https://github.com/ros-industrial/industrial_core/issues/232>)
  * all: update maintainer email addresses (#222 <https://github.com/ros-industrial/industrial_core/issues/222>)
  * Contributors: Jeremy Zoss, Jorge Nicho, gavanderhoorn

 -- Shaun Edwards <shaun.edwards@gmail.com>  Wed, 18 Sep 2019 22:00:00 -0000

ros-melodic-industrial-deprecated (0.7.0-1bionic) bionic; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Mon, 11 Feb 2019 23:00:00 -0000

ros-melodic-industrial-deprecated (0.6.0-1bionic) bionic; urgency=high

  * Added C++ 11 compile option
  * Contributors: Victor Lamoine

 -- Shaun Edwards <sedwards@swri.org>  Sun, 15 Jan 2017 23:00:00 -0000

ros-melodic-industrial-deprecated (0.5.1-1bionic) bionic; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Sat, 14 Jan 2017 23:00:00 -0000

ros-melodic-industrial-deprecated (0.5.0-1bionic) bionic; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Sun, 21 Feb 2016 23:00:00 -0000

ros-melodic-industrial-deprecated (0.4.3-1bionic) bionic; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Sat, 06 Feb 2016 23:00:00 -0000

ros-melodic-industrial-deprecated (0.4.2-1bionic) bionic; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Tue, 20 Oct 2015 22:00:00 -0000

ros-melodic-industrial-deprecated (0.4.1-1bionic) bionic; urgency=high

  * Fixed changelog links to point to main repo
  * Contributors: Shaun Edwards

 -- Shaun Edwards <sedwards@swri.org>  Sun, 22 Mar 2015 23:00:00 -0000

ros-melodic-industrial-deprecated (0.4.0-1bionic) bionic; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Fri, 20 Mar 2015 23:00:00 -0000

ros-melodic-industrial-deprecated (0.3.4-1bionic) bionic; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Mon, 20 Jan 2014 23:00:00 -0000

ros-melodic-industrial-deprecated (0.3.3-1bionic) bionic; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Sun, 12 Jan 2014 23:00:00 -0000

ros-melodic-industrial-deprecated (0.3.2-1bionic) bionic; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Thu, 09 Jan 2014 23:00:00 -0000

ros-melodic-industrial-deprecated (0.3.1-1bionic) bionic; urgency=high

  * Purged deprecated packages
  * Remove obsolete export tags. Fix #43 <https://github.com/ros-industrial/industrial_core/issues/43>.
  * Corrected spelling of industrial_deprecated package (oops).  Updated package dependencies.
  * Converted to catkin
  * Contributors: Shaun Edwards, gavanderhoorn, jrgnicho

 -- Shaun Edwards <sedwards@swri.org>  Wed, 08 Jan 2014 23:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-industrial-deprecated
 Section: misc
-Priority: extra
-Maintainer: Shaun Edwards <shaun.edwards@gmail.com>
+Priority: optional
+Maintainer: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
 Homepage: http://ros.org/wiki/industrial_deprecated
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-industrial-deprecated//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
